package com.ruoyi.screen.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.screen.domain.response.ZongzhiAppraiserCompleteResponse;
import com.ruoyi.screen.domain.response.ZongzhiAppraiserResponse;
import com.ruoyi.screen.domain.response.ZongzhiArticlesResponse;
import com.ruoyi.screen.service.ZongzhiScreenNetworkEcologyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 太仓综治网络生态大屏接口
 */
@RestController
@RequestMapping("/zongzhi/network")
@Api(tags = " 太仓综治网络生态大屏接口")
public class ZongzhiScreenNetworkEcologyController {


    @Resource
    private ZongzhiScreenNetworkEcologyService zongzhiScreenNetworkEcologyService;

    /**
     * 网评文章录用情况
     */
    @ApiOperation(value = "网评文章录用情况", response = ZongzhiArticlesResponse.class)
    @GetMapping("/articles")
    private AjaxResult getArticles() {

        return AjaxResult.success(zongzhiScreenNetworkEcologyService.getArticles());
    }


    /**
     * 本级上级评指令比们(月)
     */
    @ApiOperation(value = "本级上级评指令比们(月)", response = ZongzhiAppraiserResponse.class)
    @GetMapping("/appraiser")
    private AjaxResult getAppraiser() {

        return AjaxResult.success(zongzhiScreenNetworkEcologyService.getAppraiser());
    }



    /**
     * 网评员任务完成率
     */
    @ApiOperation(value = "网评员任务完成率(月)", response = ZongzhiAppraiserCompleteResponse.class)
    @GetMapping("/appraisercomplete")
    private AjaxResult getAppraiserComplete() {

        return AjaxResult.success(zongzhiScreenNetworkEcologyService.getAppraiserComplete());
    }
}

